﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.IO;
using System.Windows.Browser;
using System.Net;

namespace KjoreskoleVer2
{
	public partial class Page : UserControl
	{
        int AntSporsmol = 3;
        Test[] SporsmolTab = new Test[3];
        int tabnr = 0;
        

		public Page()
		{
			// Required to initialize variables
			InitializeComponent();
           
		}

        private void FyllSporsmolTab()
        {
            SporsmolTab[0] = new Test();
            SporsmolTab[0].Sporsmol = "Hvor gjelder forbudsskilt hvis ikke annet er oppgitt?";
            SporsmolTab[0].Alt1 = "Fra skiltet og til skiltet blir opphevet.";
            SporsmolTab[0].Alt2 = "Fra skiltet og 250 meter fremover.";
            SporsmolTab[0].Alt3 = "Fra skiltet til nærmeste vegkryss.";
            SporsmolTab[0].Alt4 = "Strekningen fra 50 meter etter skiltet til 350 meter etter skiltet.";
            SporsmolTab[0].RettSvar = 3;
            SporsmolTab[0].Svar = 0;

            SporsmolTab[1] = new Test();
            SporsmolTab[1].Sporsmol = "Hvordan foretar du best mulig bremsing og unnastyring?";
            SporsmolTab[1].Alt1 = "Kobling ned, brems, slipp brems, styr unna.";
            SporsmolTab[1].Alt2 = "Brems, kobling ned, styr unna, slipp brems.";
            SporsmolTab[1].Alt3 = "Fra skiltet til nærmeste vegkryss.";
            SporsmolTab[1].Alt4 = "Kobling ned, brems, styr unna, slipp brems.";
            SporsmolTab[1].RettSvar = 2;
            SporsmolTab[1].Svar =0;

            SporsmolTab[2] = new Test();
            SporsmolTab[2].Sporsmol = "Hva betyr dette fareskiltet?";
            SporsmolTab[2].Alt1 = "Innsnerving på begge sider av vegen.";
            SporsmolTab[2].Alt2 = "Innsnerving på høyre side.";
            SporsmolTab[2].Alt3 = "Svak vegskulder.";
            SporsmolTab[2].Alt4 = "Overgang fra to til ett felt.";
            SporsmolTab[2].RettSvar = 2;
            SporsmolTab[2].Svar = 0;
         }

        private void VisSporsmol(int nr)
        {
            lblSporsmolnr.Text = (tabnr +1).ToString() + " av " + AntSporsmol.ToString();
            lblSporsmol.Text = SporsmolTab[nr].Sporsmol;
            rb1.Content = SporsmolTab[nr].Alt1;
            rb2.Content = SporsmolTab[nr].Alt2;
            rb3.Content = SporsmolTab[nr].Alt3;
            rb4.Content = SporsmolTab[nr].Alt4;

            if (SporsmolTab[tabnr].Svar == 1)
                rb1.IsChecked = true;
            else
                rb1.IsChecked = false;
           
            if (SporsmolTab[tabnr].Svar == 2)
                rb2.IsChecked = true;
            else
                rb2.IsChecked = false;

            if (SporsmolTab[tabnr].Svar == 3)
                rb3.IsChecked = true;
            else
                rb3.IsChecked = false;

            if (SporsmolTab[tabnr].Svar == 4)
                rb4.IsChecked = true;
            else
                rb4.IsChecked = false;
           
            switch (nr)
            { 
                case 0:
                    this.ContentControlAnimasjon.Content = new ForbudAnimasjon();
                    break;
                case 1:
                    this.ContentControlAnimasjon.Content = new Unnastyring();
                    break;
                case 2:
                    this.ContentControlAnimasjon.Content = new Fareskilt();
                    break;

            }
        }
        private void UserControl_Loaded(object sender, RoutedEventArgs e)
        {
            FyllSporsmolTab();
            VisSporsmol(0);
        }

        private void btnNeste_Click(object sender, RoutedEventArgs e)
        {
            if (rb1.IsChecked == true)
                SporsmolTab[tabnr].Svar = 1;
            else if (rb2.IsChecked == true)
                SporsmolTab[tabnr].Svar = 2;
            else if (rb3.IsChecked == true)
                SporsmolTab[tabnr].Svar = 3;
            else if (rb4.IsChecked == true)
                SporsmolTab[tabnr].Svar = 4;

            if (tabnr < AntSporsmol - 1)
                tabnr += 1;
            VisSporsmol(tabnr);
        }

        private void btnForrige_Click(object sender, RoutedEventArgs e)
        {
            if (rb1.IsChecked == true)
                SporsmolTab[tabnr].Svar = 1;
            else if (rb2.IsChecked == true)
                SporsmolTab[tabnr].Svar = 2;
            else if (rb3.IsChecked == true)
                SporsmolTab[tabnr].Svar = 3;
            else if (rb4.IsChecked == true)
                SporsmolTab[tabnr].Svar = 4;

            if (tabnr > 0)
                tabnr -= 1;
            VisSporsmol(tabnr);
        }

        private void btnFerdig_Click(object sender, RoutedEventArgs e)
        {
            int i;
            int rettprosent;
            int AntRette = 0;
            int AntFeil = 0;
            this.ContentControlAnimasjon.Content = "";
            for (i = 0; i < AntSporsmol; i++)
            {
                if (SporsmolTab[i].Svar == SporsmolTab[i].RettSvar)
                    AntRette += 1;
                else
                    AntFeil +=1;
                this.ContentControlAnimasjon.Content += "På spørsmål " + (i+1).ToString() + " var riktig svar " + SporsmolTab[i].RettSvar.ToString() + ". Du svarte " + SporsmolTab[i].Svar.ToString() +"\r\n";
            }
    
            rettprosent = (AntRette * 100) / AntSporsmol;
            this.ContentControlAnimasjon.Content += "\r\nDu fikk  " + AntRette.ToString() + " rette og " + AntFeil.ToString() + " var feil, dvs " + rettprosent.ToString() + " prosent er riktig";
            
            //slår av forrige og neste knappen så testresultatet ikke kan fikses på...
            btnForrige.IsEnabled = false;
            btnNeste.IsEnabled = false;
        }
	}
}